Bug 858062 - Review Request: mingw-qt5-qtactiveqt - Qt5 for Windows - QtActiveQt component
Review Request: mingw-qt5-qtactiveqt - Qt5 for Windows - QtActiveQt component
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
:
Depends On: 858058
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 18:26 EDT by Erik van Pienbroek
Modified: 2015-07-15 21:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: mingw-qt5-qtactiveqt-5.4.2-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-13 15:05:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
manisandro: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
licensecheck output (6.87 KB, text/plain)
2015-06-22 10:30 EDT, Sandro Mani
no flags Details
Patch (1.98 KB, patch)
2015-06-23 12:18 EDT, Sandro Mani
no flags Details | Diff

  None (edit)
Description Erik van Pienbroek 2012-09-17 18:26:45 EDT
Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtactiveqt/mingw-qt5-qtactiveqt.spec
SRPM URL: http://ftd4linux.nl/contrib/mingw-qt5-qtactiveqt-5.0.0-0.1.beta1.fc17.src.rpm
Fedora Account System Username: epienbro
Description: 
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.
Comment 1 Erik van Pienbroek 2012-11-12 19:58:34 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qactiveqt/mingw-qt5-qtactiveqt.spec
Updated SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-qt5-qtactiveqt-5.0.0-0.2.beta1.git20121111.435fac3b.fc19.src.rpm

* Sun Nov 11 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.2.beta1.git20121111.435fac3b
- Update to 20121111 snapshot (rev 4cbcad7f)
- Rebuild against latest mingw-qt5-qtbase
Comment 2 Erik van Pienbroek 2013-02-09 07:44:47 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qactiveqt/mingw-qt5-qtactiveqt.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtactiveqt/5.0.1/1.fc19/src/mingw-qt5-qtactiveqt-5.0.1-1.fc19.src.rpm
Koji scratch build: http://koji.vanpienbroek.nl/koji/buildinfo?buildID=117

* Sat Feb 09 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.1-1
- Update to 5.0.1

* Thu Jan 03 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-1
- Update to 5.0.0 Final
Comment 6 Erik van Pienbroek 2014-01-10 16:22:59 EST
Updated Spec URL: http://svn.nntpgrab.nl/svn/fedora_cross/mingw-qt5-qtactiveqt/mingw-qt5-qtactiveqt.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtactiveqt/5.2.0/2.fc21/src/mingw-qt5-qtactiveqt-5.2.0-2.fc21.src.rpm
Koji scratch build: http://koji.vanpienbroek.nl/koji/buildinfo?buildID=194

* Fri Jan 10 2014 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.2.0-2
- Added license files

* Mon Jan 06 2014 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.2.0-1
- Update to 5.2.0
Comment 9 Sandro Mani 2015-06-22 10:29:19 EDT
Full review below, only some small issues:

* Use %license
* There are a number of BSD licensed sources
* Some macro-in-comment warnings
* Homepage is now http://www.qt.io


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE.FDL is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* BSD (3 clause)", "Unknown or generated". 37
     files have unknown license. Detailed output of licensecheck in
     /home/sandro/Desktop/858062-mingw-qt5-qtactiveqt/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
     => BSD missing
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 143360 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-qt5-qtactiveqt-5.4.1-1.fc23.noarch.rpm
          mingw64-qt5-qtactiveqt-5.4.1-1.fc23.noarch.rpm
          mingw-qt5-qtactiveqt-5.4.1-1.fc23.src.rpm
mingw-qt5-qtactiveqt.src:29: W: macro-in-comment %{qt_module}
mingw-qt5-qtactiveqt.src:29: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtactiveqt.src:29: W: macro-in-comment %{qt_module}
mingw-qt5-qtactiveqt.src:29: W: macro-in-comment %{snapshot_rev}
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
mingw64-qt5-qtactiveqt.noarch: W: invalid-url URL: http://qt-project.org/ <urlopen error [Errno -3] Temporary failure in name resolution>
mingw32-qt5-qtactiveqt.noarch: W: invalid-url URL: http://qt-project.org/ <urlopen error [Errno -3] Temporary failure in name resolution>
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
mingw64-qt5-qtactiveqt (rpmlib, GLIBC filtered):
    mingw64(advapi32.dll)
    mingw64(gdi32.dll)
    mingw64(kernel32.dll)
    mingw64(libstdc++-6.dll)
    mingw64(msvcrt.dll)
    mingw64(ole32.dll)
    mingw64(oleaut32.dll)
    mingw64(qt5core.dll)
    mingw64(qt5gui.dll)
    mingw64(qt5printsupport.dll)
    mingw64(qt5widgets.dll)
    mingw64(user32.dll)
    mingw64-crt
    mingw64-filesystem
    mingw64-pkg-config

mingw32-qt5-qtactiveqt (rpmlib, GLIBC filtered):
    mingw32(advapi32.dll)
    mingw32(gdi32.dll)
    mingw32(kernel32.dll)
    mingw32(libgcc_s_sjlj-1.dll)
    mingw32(libstdc++-6.dll)
    mingw32(msvcrt.dll)
    mingw32(ole32.dll)
    mingw32(oleaut32.dll)
    mingw32(qt5core.dll)
    mingw32(qt5gui.dll)
    mingw32(qt5printsupport.dll)
    mingw32(qt5widgets.dll)
    mingw32(user32.dll)
    mingw32-crt
    mingw32-filesystem
    mingw32-pkg-config



Provides
--------
mingw64-qt5-qtactiveqt:
    mingw64-qt5-qtactiveqt

mingw32-qt5-qtactiveqt:
    mingw32-qt5-qtactiveqt



Source checksums
----------------
http://download.qt-project.org/official_releases/qt/5.4/5.4.1/submodules/qtactiveqt-opensource-src-5.4.1.tar.xz :
  CHECKSUM(SHA256) this package     : 7d7dd2e3f0c704a2769a8c6ffa7f2c0168d8a4432202a2e9cbd6b10437232891
  CHECKSUM(SHA256) upstream package : 7d7dd2e3f0c704a2769a8c6ffa7f2c0168d8a4432202a2e9cbd6b10437232891


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 858062
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 10 Sandro Mani 2015-06-22 10:30:08 EDT
Created attachment 1041853 [details]
licensecheck output
Comment 11 Sandro Mani 2015-06-23 12:18:29 EDT
Created attachment 1042422 [details]
Patch

You might also want to include the attached patch, it makes activeqt also support win64 libraries. Reported upstream with patch at [1].

[1] https://bugreports.qt.io/browse/QTBUG-46827
Comment 12 Erik van Pienbroek 2015-06-27 11:21:51 EDT
Updated Spec URL: http://svn.nntpgrab.nl/svn/fedora_cross/mingw-qt5-qtactiveqt/mingw-qt5-qtactiveqt.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtactiveqt/5.4.2/1.fc23/src/mingw-qt5-qtactiveqt-5.4.2-1.fc23.src.rpm
Koji scratch build: http://koji.vanpienbroek.nl/koji/buildinfo?buildID=260

* Sat Jun 27 2015 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.4.2-1
- Update to 5.4.2
- Changed URL to http://qt.io/
- Use the %license tag and use BSD license
- dumpcpp and MetaObjectGenerator::readClassInfo do not handle win64 (QTBUG-46827)
Comment 13 Sandro Mani 2015-06-27 13:26:16 EDT
All ok, approved!
Comment 14 Erik van Pienbroek 2015-06-27 17:35:56 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: mingw-qt5-qtactiveqt
Short Description: Qt5 for Windows - QtActiveQt component
Upstream URL: http://qt.io/
Owners: epienbro
Branches: f21 f22 epel7
InitialCC:
Comment 15 Gwyn Ciesla 2015-06-29 11:57:36 EDT
Git done (by process-git-requests).
Comment 16 Fedora Update System 2015-06-29 14:30:47 EDT
mingw-qt5-qtactiveqt-5.4.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mingw-qt5-qtactiveqt-5.4.2-1.fc22
Comment 17 Fedora Update System 2015-06-29 14:31:11 EDT
mingw-qt5-qtactiveqt-5.4.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mingw-qt5-qtactiveqt-5.4.2-1.fc21
Comment 18 Fedora Update System 2015-06-29 14:31:38 EDT
mingw-qt5-qtactiveqt-5.4.2-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mingw-qt5-qtactiveqt-5.4.2-1.el7
Comment 19 Fedora Update System 2015-06-30 16:14:03 EDT
mingw-qt5-qtactiveqt-5.4.2-1.fc22 has been pushed to the Fedora 22 testing repository.
Comment 20 Fedora Update System 2015-07-13 15:05:39 EDT
mingw-qt5-qtactiveqt-5.4.2-1.fc21 has been pushed to the Fedora 21 stable repository.
Comment 21 Fedora Update System 2015-07-13 15:07:23 EDT
mingw-qt5-qtactiveqt-5.4.2-1.fc22 has been pushed to the Fedora 22 stable repository.
Comment 22 Fedora Update System 2015-07-15 21:47:08 EDT
mingw-qt5-qtactiveqt-5.4.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.